# $Revision: 1.49.2.5 $, $Date: 2005/10/28 08:00:55 $
# TODO:
# - Add polish info mail templates
%include	/usr/lib/rpm/macros.perl
Summary:	A Mail Virus Scanner with SpamAssassin support - daemon
Summary(pl):	Antywirusowy skaner poczty elektronicznej z obsug SpamAssasina - demon
Name:		amavisd-new
Version:	2.3.3
Release:	1.1
Epoch:		1
License:	GPL
Group:		Applications/Mail
Source0:	http://www.ijs.si/software/amavisd/%{name}-%{version}.tar.gz
# Source0-md5:	0b02df514c1a2bf8af346bc9c7e97111
Source1:	%{name}.init
Source2:	%{name}-milter.init
Patch0:		%{name}-config.patch
Patch1:		%{name}-dirperms.patch
Patch2:		%{name}-lib64.patch
Patch3:		%{name}-tools-dbdir.patch
Patch4:		%{name}-unify-log-format.patch
URL:		http://www.ijs.si/software/amavisd/
BuildRequires:	autoconf
BuildRequires:	rpm-perlprov
BuildRequires:	rpmbuild(macros) >= 1.127
BuildRequires:	sendmail-devel
Requires(pre):	/usr/bin/getgid
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(postun):	/usr/sbin/userdel
Requires(postun):	/usr/sbin/groupdel
Requires(post,preun):	/sbin/chkconfig
Requires:	perl-Archive-Tar
Requires:	perl-Archive-Zip >= 1.14
Requires:	perl-Compress-Zlib >= 1.35
Requires:	perl-Convert-TNEF
Requires:	perl-Convert-UUlib >= 1.05
Requires:	perl-libnet
Requires:	perl-Mail-SpamAssassin
Requires:	perl-MIME-tools
Requires:	perl-Net-Server
Requires:	perl-Time-HiRes >= 1.49
Requires:	perl-Unix-Syslog
Requires:	sh-utils
Requires:	/usr/lib/sendmail
Provides:	group(amavis)
Provides:	user(amavis)
Obsoletes:	AMaViS
Obsoletes:	amavis
Obsoletes:	amavisd
Obsoletes:	amavisd-daemon
Obsoletes:	amavisd-postfix
Obsoletes:	amavisd-exim
Obsoletes:	amavisd-qmail
Obsoletes:	amavisd-new-postfix
Obsoletes:	amavisd-new-exim
Obsoletes:	amavisd-new-qmail
Conflicts:	amavis-stats <= 0.1.12
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
AMaViS is a script that interfaces a mail transport agent (MTA) with
one or more virus scanners and SpamAssasin. This is daemonized version
of amavis.

%description -l pl
AMaViS to skrypt poredniczcy pomidzy agentem transferu poczty (MTA)
a jednym lub wicej programw antywirusowych i SpamAssasinem. Wersja
zdemonizowana.

%package sendmail
Summary:	A Mail Virus Scanner with SpamAssasin support - sendmail backend
Summary(pl):	Antywirusowy skaner poczty elektronicznej - backend dla sendmaila
Group:		Applications/Mail
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	sendmail

%description sendmail
AMaViS is a script that interfaces a mail transport agent (MTA) with
one or more virus scanners. This is daemonized version of amavis.

This package contains backend for sendmail.

%description sendmail -l pl
AMaViS to skrypt poredniczcy pomidzy agentem transferu poczty (MTA)
a jednym lub wicej programw antywirusowych. Wersja zdemonizowana.

Pakiet ten zawiera back-end dla sendmaila.

%prep
%setup -q
%patch0 -p1
# %patch1 -p1
%if "%{_lib}" == "lib64"
%patch2 -p1
%endif
%patch3 -p1
%patch4 -p1

%build
cd helper-progs
%{__autoconf}
./configure \
	--with-sendmail=/usr/lib/sendmail \
	--with-runtime-dir=/var/spool/amavis/runtime \
	--with-sockname=/var/spool/amavis/runtime/amavisd.sock
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_var}/spool/amavis/{runtime,virusmails,db},%{_var}/run/amavisd,/etc/rc.d/init.d,%{_sbindir}}

install amavisd $RPM_BUILD_ROOT%{_sbindir}
install amavisd-agent $RPM_BUILD_ROOT%{_sbindir}
install amavisd-nanny $RPM_BUILD_ROOT%{_sbindir}
install amavisd.conf-sample $RPM_BUILD_ROOT%{_sysconfdir}/amavisd.conf
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/amavisd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/amavis-milter
install helper-progs/amavis $RPM_BUILD_ROOT%{_sbindir}
install helper-progs/amavis-milter $RPM_BUILD_ROOT%{_sbindir}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -n "`getgid amavis`" ]; then
	if [ "`getgid amavis`" != "116" ]; then
		echo "Error: group amavis doesn't have gid=116. Correct this before installing amavisd-new." 1>&2
		exit 1
	fi
else
	echo "adding group amavis GID=116."
	/usr/sbin/groupadd -g 116 -r -f amavis
fi

if [ -n "`id -u amavis 2>/dev/null`" ]; then
	if [ "`id -u amavis`" != "97" ]; then
		echo "Error: user amavis doesn't have uid=97. Correct this before installing amavis." 1>&2
		exit 1
	fi
else
	/usr/sbin/useradd -u 97 -r -d %{_var}/spool/amavis -s /bin/false -c "Anti Virus Checker" -g amavis amavis 1>&2
fi

%postun
if [ "$1" = "0" ]; then
	echo "Removing user amavis"
	/usr/sbin/userdel amavis
	echo "Removing group amavis"
	/usr/sbin/groupdel amavis
fi

%post
/sbin/chkconfig --add amavisd
if [ -f /var/lock/subsys/amavisd ]; then
	/etc/rc.d/init.d/amavisd restart >&2
else
	echo "Run \"/etc/rc.d/init.d/amavisd start\" to start Amavisd daemon."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/amavisd ]; then
		/etc/rc.d/init.d/amavisd stop >&2
	fi
	/sbin/chkconfig --del amavisd
fi

%post sendmail
/sbin/chkconfig --add amavis-milter
if [ -f /var/lock/subsys/amavis-milter ]; then
	/etc/rc.d/init.d/amavis-milter restart >&2
else
	echo "Run \"/etc/rc.d/init.d/amavis-milter start\" to start Amavis-milter daemon."
fi

%preun sendmail
if [ "$1" = "0" ];then
	if [ -f /var/lock/subsys/amavis-milter ]; then
		/etc/rc.d/init.d/amavis-milter stop >&2
	fi
	/sbin/chkconfig --del amavis-milter
fi

%files
%defattr(644,root,root,755)
%doc AAAREADME.first INSTALL RELEASE_NOTES README_FILES/* test-messages
%attr(755,root,root) %{_sbindir}/amavisd*
%attr(754,root,root) /etc/rc.d/init.d/amavisd
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/amavisd.conf
%attr(750,amavis,amavis) %{_var}/spool/amavis
%attr(750,amavis,amavis) %{_var}/run/amavisd

%files sendmail
%defattr(644,root,root,755)
%attr(754,root,root) /etc/rc.d/init.d/amavis-milter
%attr(755,root,root) %{_sbindir}/amavis
%attr(755,root,root) %{_sbindir}/amavis-milter

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: amavisd-new.spec,v $
Revision 1.49.2.5  2005/10/28 08:00:55  hawk
- added R: perl-Archive-Zip >= 1.14, perl-Time-HiRes >= 1.49

Revision 1.49.2.4  2005/10/17 07:26:17  hawk
- merged version 2.3.3 from HEAD

Revision 1.49.2.3  2005/04/21 09:36:58  hawk
- merged most of revision 0.82 from HEAD, amavisd-new 2.2.1
- adjusted for Ra

Revision 1.49.2.2  2004/10/15 01:16:19  ankry
- fixed bogus changelog

Revision 1.49.2.1  2004/10/15 00:56:04  ankry
- cosmetics

Revision 1.49  2004/02/16 14:45:13  baggins
- release 7
- updated to 20030616-p7

Revision 1.48  2004/01/26 15:11:54  blues
- release 6 - obsoletes amavisd, has to be in upgrade

Revision 1.47  2003/12/01 21:04:29  matkor
- Release 5 (ac).

Revision 1.46  2003/12/01 20:56:29  matkor
- Release 4. Amavisd-new updated to p6 version. STBR for Ra.

Revision 1.45  2003/09/19 09:35:30  matkor
- Forgotten TODO.

Revision 1.44  2003/08/29 12:01:17  matkor
- URL change: amavisd-new has it's own homepage.

Revision 1.43  2003/08/28 13:19:06  matkor
- Works. Release 3. STBR for Ra.

Revision 1.42  2003/08/28 11:38:03  ankry
- cosmetics

Revision 1.41  2003/08/28 11:34:12  matkor
- Fixes in config:
- mks and clamav daemons are enabled by default as primary scanners
- mks and clamav shell scanners are enabled by default as secondary scanners
- warns about viruses are send now to receiver and (if possible) sender
- anti-spam system is turned off by default
- spam warning is send to sender (if a-spam system is turned on)

Revision 1.40  2003/08/28 10:03:30  matkor
- Updated to 20030616-p5. Removed not used patches (config-mks, bin).

Revision 1.39  2003/08/14 23:41:41  arekm
- updated to 20030616-pl4

Revision 1.38  2003/08/06 16:08:26  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.37  2003/08/05 15:08:48  baggins
- typo

Revision 1.36  2003/08/05 15:06:22  baggins
- added patch to use cpio as tar reader (as recommended by the author)

Revision 1.35  2003/08/05 14:25:47  baggins
- updated to amavisd-new-20030616-p3
- commented out patch1 - regexps changed and I'm not a perl hacker,
  jasio could you check this out?
- commented out patch2 - looks like it's obsolete,
  can someone that use MKS check this?

Revision 1.34  2003/07/28 10:57:41  qboosh
- added missing group{add,del} deps

Revision 1.33  2003/07/25 12:57:32  blues
- some cleanups

Revision 1.32  2003/07/10 08:54:42  jasio
- Added amavis group for antivirus soft
- Release 3
- STBR

Revision 1.31  2003/06/18 09:06:05  jasio
Added patch for MkS for Linux configuration in /etc/amavisd.conf

Revision 1.30  2003/06/18 08:50:51  jasio
Added patch from Radoslaw Zielinski to fix virus scanning more than one
enclosure in mail.

Revision 1.29  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.28  2003/05/25 05:45:28  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2003/05/22 13:18:52  baggins
- updated to 20030314

Revision 1.26  2003/05/17 06:37:59  pascalek
- revert user changes

Revision 1.25  2003/05/10 09:17:34  pascalek
- Req user-amavis

Revision 1.24  2003/01/31 22:22:31  migo
- fixes/typos in summaries/descriptions

Revision 1.23  2003/01/07 18:15:14  baggins
- removed br: vipuls-razor-v1

Revision 1.22  2003/01/07 18:14:00  baggins
- release 1
- fixed init script
- works for me (w/ postfix)

Revision 1.21  2003/01/07 17:07:01  baggins
- updated patch
- fixed %%install

Revision 1.20  2003/01/07 16:47:31  baggins
- one more unnecessary patch removed
- added commented req: perl-SAVI (DO NOT uncomment it,
	it's for information purposes only)

Revision 1.19  2003/01/07 14:38:35  baggins
- rewritten %%install

Revision 1.18  2003/01/07 14:18:47  baggins
- started upgrade to 20021227
- removed obsoleted patches
- removed obsoleted subpackages

Revision 1.17  2002/12/13 15:26:08  ankry
- adapterized

Revision 1.16  2002/12/07 14:32:49  ankry
- fix improper usage of %%{_sysconfdir}

Revision 1.15  2002/12/02 11:06:14  ankry
- massive cleaning

Revision 1.14  2002/10/09 13:14:16  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.13  2002/09/17 14:44:23  baggins
- release 4
- added more-headers and recip-delim patches

Revision 1.12  2002/09/16 18:33:51  baggins
- back to 20020517 (20020630 is broken, it has harcoded score)

Revision 1.7  2002/09/07 22:03:40  misiek
- copy before applying patches (fixes clam support)

Revision 1.6  2002/09/06 17:46:16  baggins
- instal init script under the name of 'amavis'

Revision 1.5  2002/09/06 17:40:30  baggins
- release 2
- added --with-smtp-port to configure
- added paths patch (fix spool paths)

Revision 1.4  2002/09/05 18:25:53  baggins
- more br

Revision 1.3  2002/09/05 17:27:39  baggins
- slowly getting there

Revision 1.2  2002/09/05 17:17:54  baggins
- added perl-Vipuls-Razor-V1 to (build)requires

Revision 1.1  2002/09/05 16:04:34  baggins
- initial revision, based on amavisd.spec
